### Method

# Gtk UriLauncher launch

since: 4.10

#### Declaration [src]

    void
    gtk_uri_launcher_launch (
      GtkUriLauncher* self,
      GtkWindow* parent,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Launch an application to open the uri.

This may present an app chooser dialog to the user.

The `callback` will be called when the operation is completed. It should call `gtk_uri_launcher_launch_finish()` to obtain the result.

Available since: 4.10

#### Parameters

`parent`

  Type: `GtkWindow`

  The parent `GtkWindow`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` to cancel the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.